--[[
	Child of State class.
]]

include("../state.lua");

HealState = class(State);

function HealState:constructor()
	self.name = "Loot state";
	self.lasttime = os.time(); -- We're going to just fake loot with time.
	self.prevtime = 0
	self.first = nil
	self.count = 0
end

function HealState:update()
	if self.first ~= nil then 
		print("back at Healing") 
		self:constructor()	-- easy reset
	end
	self.count = self.count + 1
	local num = math.random(100)
	if num > 98  then
		printf("Finished healing, did code: "..self.count.." times.\n");
		self.first = true
		stateman:popState();			
	end
end

-- Handle events
function HealState:handleEvent(event)
	if event == "combat"  then
		printf("Ignoring combat event, healing.\n");
		return true;
	end
end