--[[
	Child of State class.
]]

include("../state.lua");

LootState = class(State);

function LootState:constructor()
	self.name = "Loot state";
	self.lasttime = os.time(); -- We're going to just fake loot with time.
	self.prevtime = 0
	self.first = nil
end

function LootState:update()
	if self.first ~= nil then 
		print("back at looting") 
		self:constructor()	-- easy reset
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print("loot timer: "..timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End Loot.
		printf("Finished looting, popping and pushing Repair.\n");
		stateman:pushEvent("repair");
		self.first = true
		stateman:popState();			
	end
end
