--[[
	Child of State class.
]]

include("../state.lua");

CombatState = class(State);

function CombatState:constructor()
	self.name = "Combat state";
	self.lasttime = os.time(); -- We're going to just fake combat with time.
	self.prevtime = 0
	self.newbattle = false
	self.count = 0
	self.count2 = 0	
end

function CombatState:update()
	if self.newbattle == true then
		print("back at combat")
		self:constructor() -- easy reset
	end
	self.count2 = self.count2 + 1
	local num = math.random(100)
	if num > 99  then
		print("healing, did combat code "..self.count2.." times.\n")
		stateman:pushEvent("heal");
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then 
		print("combat timer: "..timepassed) 
		self.prevtime = timepassed 
		self.count = self.count + 1
	end
	if self.count >= 20  then
		-- End combat.
		printf("Ending combat, popping and pushing Loot.\n");
		self.newbattle = true
		stateman:pushEvent("loot");	
		stateman:popState();
	end
end

-- Handle events
--[[function CombatState:handleEvent(event)
	if event == "repair"  then
		printf("combat code\n");
		stateman:pushState(RepairState());
		return true;
	end
end]]
