--[[
	Child of State class.
]]

include("../state.lua");

RepairState = class(State);

function RepairState:constructor()
	self.name = "Repair state";
	self.lasttime = os.time(); -- We're going to just fake repair with time.
	self.prevtime = 0
	self.first = nil
end

function RepairState:update()
	if self.first ~= nil then 
		print("back at repair") 
		self:constructor() -- easy reset
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print("repair timer: "..timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End repairing.
		printf("Finished repairing.\n");
		stateman:popState();
		self.first = true
	end
end
