include("classes/statemanager.lua");
include("classes/states/waypoint.lua");
include("classes/states/combat.lua");
include("classes/states/loot.lua")
include("classes/states/repair.lua")
include("classes/states/heal.lua")
local version = "lisa V 6"
local lastKS = keyboardState();
local function handleInput()
	local function pressed(vk)
		if( ks[vk] and not lastKS[vk] ) then
			return true;
		else
			return false;
		end
	end
	ks = keyboardState();

	if( pressed(key.VK_Q) ) then
		stateman:pushEvent("quit");
	end

	if( pressed(key.VK_C) ) then
		print("Keypressed C")
		stateman:pushEvent("combat");
	end
	if( pressed(key.VK_R) ) then
		print("Keypressed R")	
		stateman:pushEvent("repair");
	end

	lastKS = ks;
end

function main()
	stateman = StateManager();
	stateman:pushState(WaypointState());
	print("Version: "..version)
	print("Current state: ", stateman:getState().name);

	while(stateman.running) do
		handleInput();
		stateman:handleEvents();
		stateman:run();
		yrest(1);
	end
end
startMacro(main, true);